// GAME. GUESS COLORS. DEFRAN 23
// BASES: ARDUINO AND SIMULIDE TRUNK. (https://simulide.forumotion.com/t550-simulide-trunk-tester-builds)
// COMPILE AS ATTINY84: ATTinyCore:avr:attinyx4

int led;
int i=0; 
int LEDSTA=0; 
const int LOTTERY=0;  // CASE 0
const int WAITING=1;  // CASE 1
int think=11;
int pulsa=1;
int pito=8;
int STled;
unsigned long t1=millis();

void setup() 
{ 
  pinMode(6, OUTPUT);
  pinMode(5, OUTPUT);
  pinMode(4, OUTPUT);
  pinMode(3, OUTPUT);
  pinMode(pito, OUTPUT);
  pinMode(think, OUTPUT);
  pinMode(pulsa, INPUT_PULLUP);
  randomSeed(analogRead(A0));
  noTone(pito);
}

void loop() 
{
  switch (LEDSTA) 
  {
    case LOTTERY: 
      led=random(3, 7);           // LED LOTTERY
      LEDSTA=WAITING; 
      break;
    case WAITING:
      if (digitalRead(pulsa)==LOW) 
      {
        if ( (millis()-t1)>400)       // BLINK TIME
        {
          STled=!STled;
          digitalWrite(think, STled);  // LED BLINK WITHOUT BLOCK
          t1=millis();
        }
      }
      else
      {
        digitalWrite(6, LOW);        // INCEM LED
        digitalWrite(5, LOW);
        digitalWrite(4, LOW);
        digitalWrite(3, LOW);
        digitalWrite(3+(i%4), HIGH);
        i++;
        digitalWrite(6, LOW);        // COLOR IS
        digitalWrite(5, LOW);
        digitalWrite(4, LOW);
        digitalWrite(3, LOW);
        digitalWrite(think, LOW);
        digitalWrite(led, HIGH);      // LED COLOR IS...
        tone(pito, 1000, 60);         // PORT, NOTE, TIME. 
        delay(2000);                  // NEXT ASK TIME
        digitalWrite(6, LOW);         // NEW ONE
        digitalWrite(5, LOW);
        digitalWrite(4, LOW);
        digitalWrite(3, LOW);
        LEDSTA=LOTTERY;
      }
      break;
  }
}



